Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network218.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
218.0.0.0
Broadcast address
218.255.255.255
First usable
218.0.0.1
Last usable
218.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
C (default /24)
As numbers
Hex DA000000 · Integer 3657433088 to 3674210303
Reverse DNS zone
218.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11011010..00000000.00000000.00000000218.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network11011010..00000000.00000000.00000000218.0.0.0
Broadcast11011010..11111111.11111111.11111111218.255.255.255
Split into smaller subnets/15

218.0.0.0/8 makes 128 subnets of /15.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1218.0.0.0/15218.0.0.1 to 218.1.255.254218.1.255.255131,070
2218.2.0.0/15218.2.0.1 to 218.3.255.254218.3.255.255131,070
3218.4.0.0/15218.4.0.1 to 218.5.255.254218.5.255.255131,070
4218.6.0.0/15218.6.0.1 to 218.7.255.254218.7.255.255131,070
5218.8.0.0/15218.8.0.1 to 218.9.255.254218.9.255.255131,070
6218.10.0.0/15218.10.0.1 to 218.11.255.254218.11.255.255131,070
7218.12.0.0/15218.12.0.1 to 218.13.255.254218.13.255.255131,070
8218.14.0.0/15218.14.0.1 to 218.15.255.254218.15.255.255131,070
9218.16.0.0/15218.16.0.1 to 218.17.255.254218.17.255.255131,070
10218.18.0.0/15218.18.0.1 to 218.19.255.254218.19.255.255131,070
11218.20.0.0/15218.20.0.1 to 218.21.255.254218.21.255.255131,070
12218.22.0.0/15218.22.0.1 to 218.23.255.254218.23.255.255131,070
13218.24.0.0/15218.24.0.1 to 218.25.255.254218.25.255.255131,070
14218.26.0.0/15218.26.0.1 to 218.27.255.254218.27.255.255131,070
15218.28.0.0/15218.28.0.1 to 218.29.255.254218.29.255.255131,070
16218.30.0.0/15218.30.0.1 to 218.31.255.254218.31.255.255131,070
17218.32.0.0/15218.32.0.1 to 218.33.255.254218.33.255.255131,070
18218.34.0.0/15218.34.0.1 to 218.35.255.254218.35.255.255131,070
19218.36.0.0/15218.36.0.1 to 218.37.255.254218.37.255.255131,070
20218.38.0.0/15218.38.0.1 to 218.39.255.254218.39.255.255131,070
21218.40.0.0/15218.40.0.1 to 218.41.255.254218.41.255.255131,070
22218.42.0.0/15218.42.0.1 to 218.43.255.254218.43.255.255131,070
23218.44.0.0/15218.44.0.1 to 218.45.255.254218.45.255.255131,070
24218.46.0.0/15218.46.0.1 to 218.47.255.254218.47.255.255131,070
25218.48.0.0/15218.48.0.1 to 218.49.255.254218.49.255.255131,070
26218.50.0.0/15218.50.0.1 to 218.51.255.254218.51.255.255131,070
27218.52.0.0/15218.52.0.1 to 218.53.255.254218.53.255.255131,070
28218.54.0.0/15218.54.0.1 to 218.55.255.254218.55.255.255131,070
29218.56.0.0/15218.56.0.1 to 218.57.255.254218.57.255.255131,070
30218.58.0.0/15218.58.0.1 to 218.59.255.254218.59.255.255131,070
31218.60.0.0/15218.60.0.1 to 218.61.255.254218.61.255.255131,070
32218.62.0.0/15218.62.0.1 to 218.63.255.254218.63.255.255131,070
33218.64.0.0/15218.64.0.1 to 218.65.255.254218.65.255.255131,070
34218.66.0.0/15218.66.0.1 to 218.67.255.254218.67.255.255131,070
35218.68.0.0/15218.68.0.1 to 218.69.255.254218.69.255.255131,070
36218.70.0.0/15218.70.0.1 to 218.71.255.254218.71.255.255131,070
37218.72.0.0/15218.72.0.1 to 218.73.255.254218.73.255.255131,070
38218.74.0.0/15218.74.0.1 to 218.75.255.254218.75.255.255131,070
39218.76.0.0/15218.76.0.1 to 218.77.255.254218.77.255.255131,070
40218.78.0.0/15218.78.0.1 to 218.79.255.254218.79.255.255131,070
41218.80.0.0/15218.80.0.1 to 218.81.255.254218.81.255.255131,070
42218.82.0.0/15218.82.0.1 to 218.83.255.254218.83.255.255131,070
43218.84.0.0/15218.84.0.1 to 218.85.255.254218.85.255.255131,070
44218.86.0.0/15218.86.0.1 to 218.87.255.254218.87.255.255131,070
45218.88.0.0/15218.88.0.1 to 218.89.255.254218.89.255.255131,070
46218.90.0.0/15218.90.0.1 to 218.91.255.254218.91.255.255131,070
47218.92.0.0/15218.92.0.1 to 218.93.255.254218.93.255.255131,070
48218.94.0.0/15218.94.0.1 to 218.95.255.254218.95.255.255131,070
49218.96.0.0/15218.96.0.1 to 218.97.255.254218.97.255.255131,070
50218.98.0.0/15218.98.0.1 to 218.99.255.254218.99.255.255131,070
51218.100.0.0/15218.100.0.1 to 218.101.255.254218.101.255.255131,070
52218.102.0.0/15218.102.0.1 to 218.103.255.254218.103.255.255131,070
53218.104.0.0/15218.104.0.1 to 218.105.255.254218.105.255.255131,070
54218.106.0.0/15218.106.0.1 to 218.107.255.254218.107.255.255131,070
55218.108.0.0/15218.108.0.1 to 218.109.255.254218.109.255.255131,070
56218.110.0.0/15218.110.0.1 to 218.111.255.254218.111.255.255131,070
57218.112.0.0/15218.112.0.1 to 218.113.255.254218.113.255.255131,070
58218.114.0.0/15218.114.0.1 to 218.115.255.254218.115.255.255131,070
59218.116.0.0/15218.116.0.1 to 218.117.255.254218.117.255.255131,070
60218.118.0.0/15218.118.0.1 to 218.119.255.254218.119.255.255131,070
61218.120.0.0/15218.120.0.1 to 218.121.255.254218.121.255.255131,070
62218.122.0.0/15218.122.0.1 to 218.123.255.254218.123.255.255131,070
63218.124.0.0/15218.124.0.1 to 218.125.255.254218.125.255.255131,070
64218.126.0.0/15218.126.0.1 to 218.127.255.254218.127.255.255131,070
65218.128.0.0/15218.128.0.1 to 218.129.255.254218.129.255.255131,070
66218.130.0.0/15218.130.0.1 to 218.131.255.254218.131.255.255131,070
67218.132.0.0/15218.132.0.1 to 218.133.255.254218.133.255.255131,070
68218.134.0.0/15218.134.0.1 to 218.135.255.254218.135.255.255131,070
69218.136.0.0/15218.136.0.1 to 218.137.255.254218.137.255.255131,070
70218.138.0.0/15218.138.0.1 to 218.139.255.254218.139.255.255131,070
71218.140.0.0/15218.140.0.1 to 218.141.255.254218.141.255.255131,070
72218.142.0.0/15218.142.0.1 to 218.143.255.254218.143.255.255131,070
73218.144.0.0/15218.144.0.1 to 218.145.255.254218.145.255.255131,070
74218.146.0.0/15218.146.0.1 to 218.147.255.254218.147.255.255131,070
75218.148.0.0/15218.148.0.1 to 218.149.255.254218.149.255.255131,070
76218.150.0.0/15218.150.0.1 to 218.151.255.254218.151.255.255131,070
77218.152.0.0/15218.152.0.1 to 218.153.255.254218.153.255.255131,070
78218.154.0.0/15218.154.0.1 to 218.155.255.254218.155.255.255131,070
79218.156.0.0/15218.156.0.1 to 218.157.255.254218.157.255.255131,070
80218.158.0.0/15218.158.0.1 to 218.159.255.254218.159.255.255131,070
81218.160.0.0/15218.160.0.1 to 218.161.255.254218.161.255.255131,070
82218.162.0.0/15218.162.0.1 to 218.163.255.254218.163.255.255131,070
83218.164.0.0/15218.164.0.1 to 218.165.255.254218.165.255.255131,070
84218.166.0.0/15218.166.0.1 to 218.167.255.254218.167.255.255131,070
85218.168.0.0/15218.168.0.1 to 218.169.255.254218.169.255.255131,070
86218.170.0.0/15218.170.0.1 to 218.171.255.254218.171.255.255131,070
87218.172.0.0/15218.172.0.1 to 218.173.255.254218.173.255.255131,070
88218.174.0.0/15218.174.0.1 to 218.175.255.254218.175.255.255131,070
89218.176.0.0/15218.176.0.1 to 218.177.255.254218.177.255.255131,070
90218.178.0.0/15218.178.0.1 to 218.179.255.254218.179.255.255131,070
91218.180.0.0/15218.180.0.1 to 218.181.255.254218.181.255.255131,070
92218.182.0.0/15218.182.0.1 to 218.183.255.254218.183.255.255131,070
93218.184.0.0/15218.184.0.1 to 218.185.255.254218.185.255.255131,070
94218.186.0.0/15218.186.0.1 to 218.187.255.254218.187.255.255131,070
95218.188.0.0/15218.188.0.1 to 218.189.255.254218.189.255.255131,070
96218.190.0.0/15218.190.0.1 to 218.191.255.254218.191.255.255131,070
97218.192.0.0/15218.192.0.1 to 218.193.255.254218.193.255.255131,070
98218.194.0.0/15218.194.0.1 to 218.195.255.254218.195.255.255131,070
99218.196.0.0/15218.196.0.1 to 218.197.255.254218.197.255.255131,070
100218.198.0.0/15218.198.0.1 to 218.199.255.254218.199.255.255131,070
101218.200.0.0/15218.200.0.1 to 218.201.255.254218.201.255.255131,070
102218.202.0.0/15218.202.0.1 to 218.203.255.254218.203.255.255131,070
103218.204.0.0/15218.204.0.1 to 218.205.255.254218.205.255.255131,070
104218.206.0.0/15218.206.0.1 to 218.207.255.254218.207.255.255131,070
105218.208.0.0/15218.208.0.1 to 218.209.255.254218.209.255.255131,070
106218.210.0.0/15218.210.0.1 to 218.211.255.254218.211.255.255131,070
107218.212.0.0/15218.212.0.1 to 218.213.255.254218.213.255.255131,070
108218.214.0.0/15218.214.0.1 to 218.215.255.254218.215.255.255131,070
109218.216.0.0/15218.216.0.1 to 218.217.255.254218.217.255.255131,070
110218.218.0.0/15218.218.0.1 to 218.219.255.254218.219.255.255131,070
111218.220.0.0/15218.220.0.1 to 218.221.255.254218.221.255.255131,070
112218.222.0.0/15218.222.0.1 to 218.223.255.254218.223.255.255131,070
113218.224.0.0/15218.224.0.1 to 218.225.255.254218.225.255.255131,070
114218.226.0.0/15218.226.0.1 to 218.227.255.254218.227.255.255131,070
115218.228.0.0/15218.228.0.1 to 218.229.255.254218.229.255.255131,070
116218.230.0.0/15218.230.0.1 to 218.231.255.254218.231.255.255131,070
117218.232.0.0/15218.232.0.1 to 218.233.255.254218.233.255.255131,070
118218.234.0.0/15218.234.0.1 to 218.235.255.254218.235.255.255131,070
119218.236.0.0/15218.236.0.1 to 218.237.255.254218.237.255.255131,070
120218.238.0.0/15218.238.0.1 to 218.239.255.254218.239.255.255131,070
121218.240.0.0/15218.240.0.1 to 218.241.255.254218.241.255.255131,070
122218.242.0.0/15218.242.0.1 to 218.243.255.254218.243.255.255131,070
123218.244.0.0/15218.244.0.1 to 218.245.255.254218.245.255.255131,070
124218.246.0.0/15218.246.0.1 to 218.247.255.254218.247.255.255131,070
125218.248.0.0/15218.248.0.1 to 218.249.255.254218.249.255.255131,070
126218.250.0.0/15218.250.0.1 to 218.251.255.254218.251.255.255131,070
127218.252.0.0/15218.252.0.1 to 218.253.255.254218.253.255.255131,070
128218.254.0.0/15218.254.0.1 to 218.255.255.254218.255.255.255131,070

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses